| OrbbecSDK 1.10.18 OrbbecSDK: Software-Development-Kit for Orbbec 3D Cameras

Loading...
Searching...
No Matches
Public Member Functions | Protected Attributes | List of all members
ob::StreamProfileList Class Reference

`#include <StreamProfile.hpp>`

## Public Member Functions
| StreamProfileList (std::unique_ptr< StreamProfileListImpl > impl)
| ~StreamProfileList () noexcept
uint32_t | count () const
| Return the number of StreamProfile objects.
const std::shared_ptr< StreamProfile > | getProfile (uint32_t index)
| Return the StreamProfile object at the specified index.
const std::shared_ptr< VideoStreamProfile > | getVideoStreamProfile (int width=OB_WIDTH_ANY, int height=OB_HEIGHT_ANY, OBFormat format=OB_FORMAT_ANY, int fps=OB_FPS_ANY)
| Match the corresponding video stream profile based on the passed-in parameters. If multiple Match are found, the first one in the list is returned by default. Throws an exception if no matching profile is found.
const std::shared_ptr< AccelStreamProfile > | getAccelStreamProfile (OBAccelFullScaleRange fullScaleRange, OBAccelSampleRate sampleRate)
| Match the corresponding accelerometer stream profile based on the passed-in parameters. If multiple Match are found, the first one in the list is returned by default. Throws an exception if no matching profile is found.
const std::shared_ptr< GyroStreamProfile > | getGyroStreamProfile (OBGyroFullScaleRange fullScaleRange, OBGyroSampleRate sampleRate)
| Match the corresponding gyroscope stream profile based on the passed-in parameters. If multiple Match are found, the first one in the list is returned by default. Throws an exception if no matching profile is found.

## Protected Attributes
std::unique_ptr< StreamProfileListImpl > | impl_

## Detailed Description

Definition at line 212 of file StreamProfile.hpp.

## Constructor & Destructor Documentation

## ◆ StreamProfileList()

ob::StreamProfileList::StreamProfileList | ( | std::unique_ptr< StreamProfileListImpl > | impl | ) |
| explicit

## ◆ ~StreamProfileList()

ob::StreamProfileList::~StreamProfileList | ( |  | ) |
| noexcept

## Member Function Documentation

## ◆ count()

uint32_t ob::StreamProfileList::count | ( |  | ) | const

Return the number of StreamProfile objects.

Returns
  uint32_t Return the number of StreamProfile objects.

## ◆ getProfile()

const std::shared_ptr< StreamProfile > ob::StreamProfileList::getProfile | ( | uint32_t | index | ) |

Return the StreamProfile object at the specified index.

Parameters

  index | The index of the StreamProfile object to be retrieved. Must be in the range [0, count-1]. Throws an exception if the index is out of range.

Returns
  std::shared_ptr<StreamProfile> Return the StreamProfile object.

## ◆ getVideoStreamProfile()

const std::shared_ptr< VideoStreamProfile > ob::StreamProfileList::getVideoStreamProfile | ( | int | width = `OB_WIDTH_ANY`,
|  | int | height = `OB_HEIGHT_ANY`,
|  | OBFormat | format = `OB_FORMAT_ANY`,
|  | int | fps = `OB_FPS_ANY`
| ) |  |

Match the corresponding video stream profile based on the passed-in parameters. If multiple Match are found, the first one in the list is returned by default. Throws an exception if no matching profile is found.

Parameters

  width | The width of the stream. Pass OB_WIDTH_ANY if no matching condition is required.
  height | The height of the stream. Pass OB_HEIGHT_ANY if no matching condition is required.
  format | The type of the stream. Pass OB_FORMAT_ANY if no matching condition is required.
  fps | The frame rate of the stream. Pass OB_FPS_ANY if no matching condition is required.

Returns
  std::shared_ptr<VideoStreamProfile> Return the matching resolution.

## ◆ getAccelStreamProfile()

const std::shared_ptr< AccelStreamProfile > ob::StreamProfileList::getAccelStreamProfile | ( | OBAccelFullScaleRange | fullScaleRange,
|  | OBAccelSampleRate | sampleRate
| ) |  |

Match the corresponding accelerometer stream profile based on the passed-in parameters. If multiple Match are found, the first one in the list is returned by default. Throws an exception if no matching profile is found.

Parameters

  fullScaleRange | The full scale range. Pass 0 if no matching condition is required.
  sampleRate | The sampling frequency. Pass 0 if no matching condition is required.

## ◆ getGyroStreamProfile()

const std::shared_ptr< GyroStreamProfile > ob::StreamProfileList::getGyroStreamProfile | ( | OBGyroFullScaleRange | fullScaleRange,
|  | OBGyroSampleRate | sampleRate
| ) |  |

Match the corresponding gyroscope stream profile based on the passed-in parameters. If multiple Match are found, the first one in the list is returned by default. Throws an exception if no matching profile is found.

Parameters

  fullScaleRange | The full scale range. Pass 0 if no matching condition is required.
  sampleRate | The sampling frequency. Pass 0 if no matching condition is required.

## Member Data Documentation

## ◆ impl_

std::unique_ptr<StreamProfileListImpl> ob::StreamProfileList::impl_
| protected

Definition at line 214 of file StreamProfile.hpp.

The documentation for this class was generated from the following file:

- E:/Projects/Jenkins/workspace/OrbbecSDK/libobsensor/include/libobsensor/hpp/StreamProfile.hpp